Skip to main content
GET
/
platform
/
external-accounts
cURL
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/platform/external-accounts \
  --header 'Authorization: Basic <encoded-value>'
import LightsparkGrid from '@lightsparkdev/grid';

const client = new LightsparkGrid({
username: process.env['GRID_CLIENT_ID'], // This is the default and can be omitted
password: process.env['GRID_CLIENT_SECRET'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const externalAccount of client.platform.externalAccounts.list()) {
console.log(externalAccount.id);
}
package com.lightspark.grid.example

import com.lightspark.grid.client.LightsparkGridClient
import com.lightspark.grid.client.okhttp.LightsparkGridOkHttpClient
import com.lightspark.grid.models.platform.externalaccounts.ExternalAccountListPage
import com.lightspark.grid.models.platform.externalaccounts.ExternalAccountListParams

fun main() {
val client: LightsparkGridClient = LightsparkGridOkHttpClient.fromEnv()

val page: ExternalAccountListPage = client.platform().externalAccounts().list()
}
{
  "data": [
    {
      "id": "ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965",
      "status": "ACTIVE",
      "currency": "USD",
      "accountInfo": {
        "accountType": "AED_ACCOUNT",
        "iban": "AE070331234567890123456",
        "swiftCode": "EBILAEAD"
      },
      "customerId": "Customer:da459a29-1fb7-41ce-a4cb-eb3a3c9fd7a7",
      "platformAccountId": "acc_123456789",
      "defaultUmaDepositAccount": false,
      "beneficiaryVerifiedData": {
        "fullName": "John Doe"
      }
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "totalCount": 123
}
{
"status": 400,
"message": "<string>",
"details": {}
}
{
"status": 401,
"message": "<string>",
"details": {}
}
{
"status": 500,
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

currency
string

Filter by currency code

limit
integer
default:20

Maximum number of results to return (default 20, max 100)

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination (returned from previous request)

Response

Successful operation

data
object[]
required

List of external accounts matching the filter criteria

hasMore
boolean
required

Indicates if more results are available beyond this page

nextCursor
string

Cursor to retrieve the next page of results (only present if hasMore is true)

totalCount
integer

Total number of external accounts matching the criteria (excluding pagination)